# TODO: --enable-qmi-username=???
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	GLib library for talking to WWAN modems and devices using QMI protocol
Summary(pl.UTF-8):	Biblioteka GLib do komunikacji z modemami i urządzeniami WWAN z użyciem protokołu QMI
Name:		libqmi
Version:	1.24.4
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://www.freedesktop.org/software/libqmi/%{name}-%{version}.tar.xz
# Source0-md5:	be6539fde54fec1fc9d852db201c8560
URL:		https://www.freedesktop.org/wiki/Software/libqmi/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.36
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	help2man
BuildRequires:	libmbim-devel >= 1.18.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.673
BuildRequires:	udev-glib-devel >= 1:147
Requires:	glib2 >= 1:2.36
Requires:	libmbim >= 1.18.0
Requires:	udev-glib >= 1:147
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libqmi is a GLib library for talking to WWAN modems and devices which
speak the Qualcomm MSM Interface (QMI) protocol.

%description -l pl.UTF-8
libqmi to biblioteka GLib do komunikacji z modemami i urządzeniami
WWAN, obsługującymi protokół QMI (Qualcomm MSM Interface).

%package devel
Summary:	Header files for libqmi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libqmi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36
Requires:	libmbim-devel >= 1.18.0

%description devel
Header files for libqmi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libqmi.

%package static
Summary:	Static libqmi library
Summary(pl.UTF-8):	Statyczna biblioteka libqmi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libqmi library.

%description static -l pl.UTF-8
Statyczna biblioteka libqmi.

%package apidocs
Summary:	libqmi API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libqmi
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libqmi library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libqmi.

%package -n bash-completion-libqmi
Summary:	Bash completion for qmictl command
Summary(pl.UTF-8):	Bashowe dopełnianie składni polecenia qmictl
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-libqmi
Bash completion for qmictl command.

%description -n bash-completion-libqmi -l pl.UTF-8
Bashowe dopełnianie składni polecenia qmictl.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}

LC_ALL=C.UTF-8 \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/qmi-firmware-update
%attr(755,root,root) %{_bindir}/qmi-network
%attr(755,root,root) %{_bindir}/qmicli
%attr(755,root,root) %{_libdir}/libqmi-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqmi-glib.so.5
%attr(755,root,root) %{_libexecdir}/qmi-proxy
%{_mandir}/man1/qmi-firmware-update.1*
%{_mandir}/man1/qmi-network.1*
%{_mandir}/man1/qmicli.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqmi-glib.so
%{_includedir}/libqmi-glib
%{_pkgconfigdir}/qmi-glib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libqmi-glib.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libqmi-glib
%endif

%files -n bash-completion-libqmi
%defattr(644,root,root,755)
%{bash_compdir}/qmicli
%changelog
* Sun Apr 05 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libqmi.git;a=log;h=master

* Mon Feb 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 8974430
- updated to 1.24.4

* Sat Dec 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 1816a22
- updated to 1.24.2

* Tue Oct 01 2019 Jakub Bogusz <qboosh@pld-linux.org> 1d8ac08
- updated to 1.24.0

* Wed May 08 2019 Jakub Bogusz <qboosh@pld-linux.org> ad661ee
- updated to 1.22.4

* Wed Mar 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 45b5457
- updated to 1.22.2

* Wed Feb 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 9c0a267
- updated to 1.22.0

* Sat Sep 29 2018 Marcin Krol <hawk@tld-linux.org> fa07f2e
- updated to 1.20.2

* Thu Mar 01 2018 Jakub Bogusz <qboosh@pld-linux.org> e9d3118
- updated to 1.20.0

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 0591cd2
- updated to 1.18.0

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> a316ad0
- updated to 1.16.2

* Wed Aug 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 4fd63ee
- updated to 1.16.0

* Mon Apr 04 2016 Jakub Bogusz <qboosh@pld-linux.org> ada57c9
- updated to 1.14.2 (note: new soname)
- added bash-completion package

* Tue Feb 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 1bf7439
- updated to 1.12.8

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> b6022e9
- noarch apidocs

* Thu Feb 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 86ef88c
- updated to 1.12.6

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b451055
- x32 rebuild
- release 2 (by relup.sh)

* Sun Feb 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 1856976
- updated to 1.12.4

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 4d4bbec
- updated to 1.12.2

* Wed Jan 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 487ab4a
- updated to 1.12.0

* Sun Dec 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 5a453a1
- updated to 1.10.4

